# Hatchet Daddy's Cards (HDC)
-------------------------------
This is a BepInEx compatible mod for ROUNDS that adds a few cards to the game.

Thank you to everyone in the ROUNDS modding community, who helped me, especially Pykess, Ascyst and Willis.

## Easy Installation Instructions
---------------------------------

Download [r2modman](https://rounds.thunderstore.io/package/ebkr/r2modman/), set up a Rounds profile, and add `HDC` to the profile. All dependencies will be automatically installed. Just click `Start Modded` to start playing!

## Cards Added
-------------

### Angel Cards
---------------

#### Divine Blessing

-Reduces block cooldown and heals the player a percentage of their max HP on block

#### Meditation

-Heal as you stand still (healing increases the longer you stand still)

#### Celestial Countdown

-Stand still to unleash divine gun powers

#### Paladin's Bulwark

-Heals based on enemies in aura and heals your allies (if you have more than half health whether or not enemies are present)

### Signature Cards

------------------

#### Behind You

-Teleports you behind an enemy player when you block. Increases Block Cooldown by 50%


### Version Notes

-----------------

### v0.0.9

-------------

-Changes

	-Using Modding Utils to add a glow effect for Celestial Countdown for a temporary visual indicator

### v0.0.8

-------------

-Fixes
	
	-Forgot to call a method for resetting effects. Thanks to Pykes for pointing this out XD

	-Effects should no longer persist in instances like Rare Glitched card 

#### v0.0.7

-------------

-Changes

	-Buffed Paladin with more HP

	-Minor code cleanup

#### v0.0.6

-------------

-Fixes
	
	-Solved the persistence issue between rounds (I think)

#### v0.0.5

-------------

-Changes

	-Set Meditation to a flat number (not based on max health) with ramping hp every second you are standing still

	-Paladins Bulwark is now called Paladins Endurance and heals based on enemies in aura and heals your allies (if you have more than half health whether or not enemies are present)


#### v0.0.3

-------------

-Changes

	-just some cleaning up of the code to try and reduce lag from certain effects

	-nerfed some of the card effects to help balance them

-Known issues

	-Effect persistence between games (I am working on it)

-Thanks Willis for some of the code improvements implemented in this update :)

#### v0.0.1

-------------

-5 New Cards

	-Divine Blessing

		-Reduced block cooldown and healing on block

	-Meditation

		-Heal as you stand still (healing increases the longer you stand still)

	-Celestial Countdown

		-Stand still to unleash divine gun powers

	-Paladin's Bulwark

		-Gain health the more enemies that are around you

	-Behind You

		-Teleport behind enemies when you block

#### To-Do List

---------------

-Add Card art

-Add particle effects 

-Add countdown effect to Celestial Countdown